<div class="card pt-1">
    <div class="card mt-5 mr-3 ml-3 pr-3 pl-3 pt-1">
        <div class="card border-round shadow-6 mb-3">
            <h5> <i class="fas fa-tasks" style="font-size:20px; color:green"></i> ผลการประเมินผู้ป่วย</h5>
            <div class="formgrid grid border-round p-4">
                <div class="field col md:col-4">
                    <span for="city7" class="text-green-700 fontKanit">เลที่ส่ง : </span>
                    <span for="city7" class="fontKanit">{{refer_no}}</span>
                </div>
                <div class="field col md:col-4">
                    <span for="city7" class="text-green-700 fontKanit">เลที่ HIS : </span>
                    <span for="city7" class="fontKanit">{{refer_his_no}}</span><!-- เก็บค่าตัวแปรมาแสดง -->
                </div>
                <div class="field col md:col-4">
                    <span for="city7" class="text-green-700 fontKanit">วันที่ : </span>
                    <span for="city7" class="fontKanit">{{refer_date | thaidate:'short'}}</span>
                </div>

                <div class="field col md:col-4">
                    <span for="city7" class="text-green-700 fontKanit">HN : </span>
                    <span for="city7" class="fontKanit">{{hn}}</span>
                </div>

                <div class="field col md:col-4">
                    <span for="city7" class="text-green-700 fontKanit">ชื่อ : </span>
                    <span for="city7" class="fontKanit">{{fullname}}</span>
                </div>

                <div class="field col md:col-4">
                    <span for="city7" class="text-green-700 fontKanit">อายุ : </span>
                    <span for="city7" class="fontKanit">{{age}}</span>
                </div>

                <div class="field col md:col-4">
                    <span for="city7" class="text-green-700 fontKanit">PID : </span>
                    <span for="city7" class="fontKanit">{{pid}}</span>
                </div>

                <div class="field col md:col-4">
                    <span for="city7" class="text-green-700 fontKanit">AN : </span>
                    <span for="city7" class="fontKanit" *ngIf="an != '0'">{{an}}</span>
                </div>

                <div class="field col md:col-4">
                    <span for="city7" class="text-green-700 fontKanit">เลขบัตรประชาชน : </span>
                    <span for="city7" class="fontKanit">{{cid}}</span>
                </div>

                <div class="field col md:col-4">
                    <span for="city7" class="text-green-700 fontKanit">เพศ : </span>
                    <span for="city7" class="fontKanit">{{sex}}</span>
                </div>

                <div class="field col md:col-4">
                    <span for="city7" class="text-green-700 fontKanit">อาชีพ : </span>
                    <span for="city7" class="fontKanit">{{occupation}}</span>
                </div>

            </div>
            
        </div>
        <div class="card">
            
            <p-table  [value]="rowsData" styleClass="p-datatable-gridlines">
                <ng-template pTemplate="header">
                  
                    <tr>
                        <th >การดูเลขณะนำส่ง</th>
                        <th >NE<br>(ไม่จำเป็น)</th>
                        <th >A<br>(เหมาะสม)</th>
                        <th >IA<br>(ไม่เหมาะสม)</th>
                        <th pResizableColumn>หมายเหตุ (ถ้าเลือกช่อง IA ให้ระบุปัญหาที่พบ)</th>
                    </tr>
                </ng-template>
                <ng-template pTemplate="body" let-rowsData>
                  
                    <tr>
                        <td>ทางเดินหายใจ</td>
                        <td class="text-center justify-content-center"><p-radioButton name="answer_1" [value]="1" [(ngModel)]="answer_1"></p-radioButton></td>
                        <td class="text-center justify-content-center"><p-radioButton name="answer_1" [value]="2" [(ngModel)]="answer_1"></p-radioButton></td>
                        <td class="text-center justify-content-center"><p-radioButton name="answer_1" [value]="3" [(ngModel)]="answer_1"></p-radioButton></td>
                        <td><input type="text" pInputText [(ngModel)]="answer_1_remark"> </td>
                    </tr>
                    <tr>
                        <td>การช่วยหายใจ</td>
                        <td class="text-center justify-content-center"><p-radioButton name="answer_2" [value]="1" [(ngModel)]="answer_2"></p-radioButton></td>
                        <td class="text-center justify-content-center"><p-radioButton name="answer_2" [value]="2" [(ngModel)]="answer_2"></p-radioButton></td>
                        <td class="text-center justify-content-center"><p-radioButton name="answer_2" [value]="3" [(ngModel)]="answer_2"></p-radioButton></td>
                        <td><input type="text" pInputText [(ngModel)]="answer_2_remark"> </td>
                    </tr>
                    <tr>
                        <td>การห้ามเลือด</td>
                        <td class="text-center justify-content-center"><p-radioButton name="answer_3" [value]="1" [(ngModel)]="answer_3"></p-radioButton></td>
                        <td class="text-center justify-content-center"><p-radioButton name="answer_3" [value]="2" [(ngModel)]="answer_3"></p-radioButton></td>
                        <td class="text-center justify-content-center"><p-radioButton name="answer_3" [value]="3" [(ngModel)]="answer_3"></p-radioButton></td>
                        <td><input type="text" pInputText [(ngModel)]="answer_3_remark"> </td>
                    </tr>
                    <tr>
                        <td>การให้สารน้ำ</td>
                        <td class="text-center justify-content-center"><p-radioButton name="answer_4" [value]="1" [(ngModel)]="answer_4"></p-radioButton></td>
                        <td class="text-center justify-content-center"><p-radioButton name="answer_4" [value]="2" [(ngModel)]="answer_4"></p-radioButton></td>
                        <td class="text-center justify-content-center"><p-radioButton name="answer_4" [value]="3" [(ngModel)]="answer_4"></p-radioButton></td>
                        <td><input type="text" pInputText [(ngModel)]="answer_4_remark"> </td>
                    </tr>
                    <tr>
                        <td>การดาม</td>
                        <td class="text-center justify-content-center"><p-radioButton name="answer_5" [value]="1" [(ngModel)]="answer_5"></p-radioButton></td>
                        <td class="text-center justify-content-center"><p-radioButton name="answer_5" [value]="2" [(ngModel)]="answer_5"></p-radioButton></td>
                        <td class="text-center justify-content-center"><p-radioButton name="answer_5" [value]="3" [(ngModel)]="answer_5"></p-radioButton></td>
                        <td><input type="text" pInputText [(ngModel)]="answer_5_remark"> </td>
                    </tr>
                    <tr>
                        <td>ด้านอื่นๆ</td>
                        <td class="text-center justify-content-center"></td>
                        <td class="text-center justify-content-center"></td>
                        <td class="text-center justify-content-center"></td>
                        <td><input type="text" pInputText [(ngModel)]="other_remark"> </td>
                    </tr>
           
                </ng-template>
            </p-table>
            
        </div>
        <div class="text-center justify-content-center"><button pButton pRipple type="button" (click)="onChangeSave()" label="บันทึก" class="p-button-success"></button></div>
    </div>
    
    
</div>
